Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename mv
%global enable_tests 1

Name:		nodejs-mv
Version:	2.1.1
Release:	alt1_7
Summary:	A fs.rename that works across devices. Same as the unix utility 'mv'

License:	MIT
URL:		https://github.com/andrewrk/node-mv.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ncp)
BuildRequires:	npm(rimraf)
%endif

Requires:	node
Source44: import.info

%description
A fs.rename that works across devices. Same as the unix utility 'mv'


%prep
%setup -q -n package

%nodejs_fixdep rimraf ^2.6

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_7
- new version

